<?php
/**
 * Distributed Multi-media Database Model
 * 
 * @package    Distributed Multi-media Database
 * @subpackage Components
 * @license    GNU/GPL
 */
 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport( 'joomla.application.component.model' );
 
/**
 * dmmdb Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class dmmdbModeldmmdb extends JModel
{
    /**
    * Gets the server url
    * @return server url to be displayed to the user
    */
    function getServerUrl()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 'http://giss.tv/dmmdbflv';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT url FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->url;
    }

    /**
    * Gets the channel
    * @return channel to be displayed to the user
    */
    function getChannels()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 'all';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT channels FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->channels;
    }


    /**
    * Gets the full name
    * @return full name to be displayed to the user
    */
    function getFullName()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 'http://giss.tv/dmmdbflv::all';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT fullname FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->fullname;
    }

    /**
    * Gets the max number of channels
    * @return max number of channels
    */
    function getNbMaxChannels()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '10';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT nbmaxchannels FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->nbmaxchannels;
    }

    /**
    * Gets the width
    * @return width to be displayed to the user
    */
    function getWidth()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '397';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT width FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->width;
    }

    /**
    * Gets the number of videos to display
    * @return number of videos to display
    */
    function getNbitems()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '6';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT nbitems FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->nbitems;
    }

    /**
    * Gets the modal mode
    * @return modal mode
    */
    function getModal()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '1';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT modal FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->modal;
    }

    /**
    * Gets the minimal aspect option
    * @return minimal aspect  option
    */
    function getMinimalAspect()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '0';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT minimal_aspect FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->minimal_aspect;
    }

    /**
    * Gets the show comments option
    * @return show comments option
    */
    function getComments()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '0';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT comments FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->comments;
    }

    /**
    * Gets the show search option
    * @return show search option
    */
    function getSearch()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '1';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT search FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->search;
    }

    /**
    * Gets the display latest videos
    * @return display latest videos
    */
    function getLatestVideos()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 1;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT latest_videos FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->latest_videos;
    }

    /**
    * Gets the display most viewed option
    * @return display most viewed option
    */
    function getMostViewed()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT most_viewed FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->most_viewed;
    }

    /**
    * Gets the display favorites option
    * @return display favorites option
    */
    function getFavorites()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT favorites FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->favorites;
    }

    /**
    * Gets the display categories option
    * @return display categories option
    */
    function getCategories()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT categories FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->categories;
    }

    /**
    * Gets the display same author option
    * @return display same author option
    */
    function getSameAuthor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT same_author FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->same_author;
    }

    /**
    * Gets the display same category option
    * @return display same category option
    */
    function getSameCategory()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT same_category FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->same_category;
    }

    /**
    * Gets the display same keywords option
    * @return display same keywords option
    */
    function getSameKeywords()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT same_keywords FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->same_keywords;
    }

    /**
    * Gets the display playlists option
    * @return display playlists option
    */
    function getPlaylists()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT playlists FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->playlists;
    }

    /**
    * Gets the display friend channels option
    * @return display friend channels option
    */
    function getFriendChannels()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT friend_channels FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->friend_channels;
    }

    /**
    * Gets the display latest on friend channels option
    * @return display latest on friend channels option
    */
    function getLatestOnFriendChannels()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 0;
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT latest_on_friend_channels FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->latest_on_friend_channels;
    }

    /**
    * Gets the text color
    * @return text color
    */
    function getTextColor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '000000';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT text_color FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->text_color;
    }

    /**
    * Gets the background color
    * @return background color
    */
    function getBackgroundColor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 'FFFFFF';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT background_color FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->background_color;
    }

    /**
    * Gets the tip text color
    * @return tip text color
    */
    function getTipTextColor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '000000';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT tip_text_color FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->tip_text_color;
    }

    /**
    * Gets the tip background color color
    * @return tip background color
    */
    function getTipBgColor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return 'FF6600';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT tip_bg_color FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->tip_bg_color;
    }

    /**
    * Gets the link color
    * @return link color
    */
    function getLinkColor()
    {
       $cid = JRequest::getvar('id',null,'get','int');
       if ($cid === null)
       {
          return '000000';
       }

       $db =& JFactory::getDBO();
       $sql = "SELECT link_color FROM #__dmmdb WHERE id='".$cid."'; ";
       $db->setQuery($sql);
       $rows = $db->loadObjectList();

       return $rows[0]->link_color;
    }
}

